# Class TProgressUpdateResp

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TProgressUpdateResp

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TProgressUpdateResp>`, `org.apache.thrift.TBase<TProgressUpdateResp,TProgressUpdateResp._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TProgressUpdateResp extends Object implements org.apache.thrift.TBase<TProgressUpdateResp,TProgressUpdateResp._Fields>, Serializable, Cloneable, Comparable<TProgressUpdateResp>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TProgressUpdateResp._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`footerSummary`
`List<String>`
`headerNames`
`static final Map<TProgressUpdateResp._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`
`double`
`progressedPercentage`
`List<List<String>>`
`rows`
`long`
`startTime`
`TJobExecutionStatus`
`status`

## Constructor Summary

Constructors
Constructor
Description
`TProgressUpdateResp()`
`TProgressUpdateResp(TProgressUpdateResp other)`
Performs a deep copy on other.
`TProgressUpdateResp(List<String> headerNames, List<List<String>> rows, double progressedPercentage, TJobExecutionStatus status, String footerSummary, long startTime)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addToHeaderNames(String elem)`
`void`
`addToRows(List<String> elem)`
`void`
`clear()`
`int`
`compareTo(TProgressUpdateResp other)`
`TProgressUpdateResp`
`deepCopy()`
`boolean`
`equals(TProgressUpdateResp that)`
`boolean`
`equals(Object that)`
`TProgressUpdateResp._Fields`
`fieldForId(int fieldId)`
`Object`
`getFieldValue(TProgressUpdateResp._Fields field)`
`String`
`getFooterSummary()`
`List<String>`
`getHeaderNames()`
`Iterator<String>`
`getHeaderNamesIterator()`
`int`
`getHeaderNamesSize()`
`double`
`getProgressedPercentage()`
`List<List<String>>`
`getRows()`
`Iterator<List<String>>`
`getRowsIterator()`
`int`
`getRowsSize()`
`long`
`getStartTime()`
`TJobExecutionStatus`
`getStatus()`
`int`
`hashCode()`
`boolean`
`isSet(TProgressUpdateResp._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean`
`isSetFooterSummary()`
Returns true if field footerSummary is set (has been assigned a value) and false otherwise
`boolean`
`isSetHeaderNames()`
Returns true if field headerNames is set (has been assigned a value) and false otherwise
`boolean`
`isSetProgressedPercentage()`
Returns true if field progressedPercentage is set (has been assigned a value) and false otherwise
`boolean`
`isSetRows()`
Returns true if field rows is set (has been assigned a value) and false otherwise
`boolean`
`isSetStartTime()`
Returns true if field startTime is set (has been assigned a value) and false otherwise
`boolean`
`isSetStatus()`
Returns true if field status is set (has been assigned a value) and false otherwise
`void`
`read(org.apache.thrift.protocol.TProtocol iprot)`
`void`
`setFieldValue(TProgressUpdateResp._Fields field, Object value)`
`TProgressUpdateResp`
`setFooterSummary(String footerSummary)`
`void`
`setFooterSummaryIsSet(boolean value)`
`TProgressUpdateResp`
`setHeaderNames(List<String> headerNames)`
`void`
`setHeaderNamesIsSet(boolean value)`
`TProgressUpdateResp`
`setProgressedPercentage(double progressedPercentage)`
`void`
`setProgressedPercentageIsSet(boolean value)`
`TProgressUpdateResp`
`setRows(List<List<String>> rows)`
`void`
`setRowsIsSet(boolean value)`
`TProgressUpdateResp`
`setStartTime(long startTime)`
`void`
`setStartTimeIsSet(boolean value)`
`TProgressUpdateResp`
`setStatus(TJobExecutionStatus status)`
`void`
`setStatusIsSet(boolean value)`
`String`
`toString()`
`void`
`unsetFooterSummary()`
`void`
`unsetHeaderNames()`
`void`
`unsetProgressedPercentage()`
`void`
`unsetRows()`
`void`
`unsetStartTime()`
`void`
`unsetStatus()`
`void`
`validate()`
`void`
`write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### headerNames

public List<String> headerNames

### rows

public List<List<String>> rows

### progressedPercentage

public double progressedPercentage

### status

public TJobExecutionStatus status

See Also:
  - `TJobExecutionStatus`

### footerSummary

public String footerSummary

### startTime

public long startTime

### metaDataMap

public static final Map<TProgressUpdateResp._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TProgressUpdateResp

public TProgressUpdateResp()

### TProgressUpdateResp

public TProgressUpdateResp(List<String> headerNames, List<List<String>> rows, double progressedPercentage, TJobExecutionStatus status, String footerSummary, long startTime)

### TProgressUpdateResp

public TProgressUpdateResp(TProgressUpdateResp other)
Performs a deep copy on other.

## Method Details

### deepCopy

public TProgressUpdateResp deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TProgressUpdateResp,TProgressUpdateResp._Fields>`

### clear

public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TProgressUpdateResp,TProgressUpdateResp._Fields>`

### getHeaderNamesSize

public int getHeaderNamesSize()

### getHeaderNamesIterator

public Iterator<String> getHeaderNamesIterator()

### addToHeaderNames

public void addToHeaderNames(String elem)

### getHeaderNames

public List<String> getHeaderNames()

### setHeaderNames

public TProgressUpdateResp setHeaderNames(List<String> headerNames)

### unsetHeaderNames

public void unsetHeaderNames()

### isSetHeaderNames

public boolean isSetHeaderNames()
Returns true if field headerNames is set (has been assigned a value) and false otherwise

### setHeaderNamesIsSet

public void setHeaderNamesIsSet(boolean value)

### getRowsSize

public int getRowsSize()

### getRowsIterator

public Iterator<List<String>> getRowsIterator()

### addToRows

public void addToRows(List<String> elem)

### getRows

public List<List<String>> getRows()

### setRows

public TProgressUpdateResp setRows(List<List<String>> rows)

### unsetRows

public void unsetRows()

### isSetRows

public boolean isSetRows()
Returns true if field rows is set (has been assigned a value) and false otherwise

### setRowsIsSet

public void setRowsIsSet(boolean value)

### getProgressedPercentage

public double getProgressedPercentage()

### setProgressedPercentage

public TProgressUpdateResp setProgressedPercentage(double progressedPercentage)

### unsetProgressedPercentage

public void unsetProgressedPercentage()

### isSetProgressedPercentage

public boolean isSetProgressedPercentage()
Returns true if field progressedPercentage is set (has been assigned a value) and false otherwise

### setProgressedPercentageIsSet

public void setProgressedPercentageIsSet(boolean value)

### getStatus

public TJobExecutionStatus getStatus()

See Also:
  - `TJobExecutionStatus`

### setStatus

public TProgressUpdateResp setStatus(TJobExecutionStatus status)

See Also:
  - `TJobExecutionStatus`

### unsetStatus

public void unsetStatus()

### isSetStatus

public boolean isSetStatus()
Returns true if field status is set (has been assigned a value) and false otherwise

### setStatusIsSet

public void setStatusIsSet(boolean value)

### getFooterSummary

public String getFooterSummary()

### setFooterSummary

public TProgressUpdateResp setFooterSummary(String footerSummary)

### unsetFooterSummary

public void unsetFooterSummary()

### isSetFooterSummary

public boolean isSetFooterSummary()
Returns true if field footerSummary is set (has been assigned a value) and false otherwise

### setFooterSummaryIsSet

public void setFooterSummaryIsSet(boolean value)

### getStartTime

public long getStartTime()

### setStartTime

public TProgressUpdateResp setStartTime(long startTime)

### unsetStartTime

public void unsetStartTime()

### isSetStartTime

public boolean isSetStartTime()
Returns true if field startTime is set (has been assigned a value) and false otherwise

### setStartTimeIsSet

public void setStartTimeIsSet(boolean value)

### setFieldValue

public void setFieldValue(TProgressUpdateResp._Fields field, Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TProgressUpdateResp,TProgressUpdateResp._Fields>`

### getFieldValue

public Object getFieldValue(TProgressUpdateResp._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TProgressUpdateResp,TProgressUpdateResp._Fields>`

### isSet

public boolean isSet(TProgressUpdateResp._Fields field)
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TProgressUpdateResp,TProgressUpdateResp._Fields>`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TProgressUpdateResp that)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(TProgressUpdateResp other)

Specified by:
  `compareTo` in interface `Comparable<TProgressUpdateResp>`

### fieldForId

public TProgressUpdateResp._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TProgressUpdateResp,TProgressUpdateResp._Fields>`

### read

public void read(org.apache.thrift.protocol.TProtocol iprot) throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### write

public void write(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### validate

public void validate() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`